#ifndef ICAMERA_PROVIDER_H
#define ICAMERA_PROVIDER_H

#include <P1CameraCamera.hpp>
#include <map>

class ICameraProvider
{
public:
	virtual P1::CameraSdk::Camera& GetCameraConnected() = 0;
	virtual std::map<int,P1::CameraSdk::Camera>& AllCameras() = 0;
	virtual P1::CameraSdk::Camera* GetCamera(int id) = 0;
};

#endif // ICAMERA_PROVIDER_H